import flet as ft
from utils import AppView, Title
from modules.settings import config


def Home(page: ft.Page):
    return AppView(
        '/',
        [
            ft.AppBar(
                title=ft.Text(Title(__file__)),
                actions=[
                    ft.IconButton(
                        icon=ft.icons.SETTINGS,
                        on_click=lambda _: page.go('/settings'),
                    ),
                ],
            ),
            ft.Container(
                height=100,
                padding=10,
                content=ft.Column(
                    controls=[
                        ft.Text(
                            'Goodmorning,',
                        ),
                        ft.Text(
                            config.get('general', 'name'),
                        ),
                    ],
                ),
            ),
        ],
    )
